;; File: prcs-startup.el
;; Written by Rafael Laboissiere <rafael@icp.inpg.fr> on 1998/10/23
;; This file is intended to be used as a startup file in Debian
;; systems for the prcs-mode.

;; Parts of the code below were taken from the comments in file prcs.el.

;; The next hack is needed for brain-dead Emacs19, which does not add
;; directories recursively to load-path
(if (string-match "^19." emacs-version)
    (setq load-path (nconc load-path
			   (list (concat "/usr/share/" 
					 (symbol-name debian-emacs-flavor) 
					 "/site-lisp/prcs")))))

(require 'cl)
(push '("\\.prj\\'" . prcs-mode) auto-mode-alist)
(autoload 'prcs-mode "prcs" "PRCS project-file mode." t)

;; Avoid gratuitous backups:
;;
(setq backup-enable-predicate
      (lambda (name)
        (not (prcs-is-prcs-controlled name))))
(autoload 'prcs-is-prcs-controlled "prcs" nil t)


;; The code below is for prcs-ediff.  (I am not sure we should impose
;; prcs-merge-*-hook in ediff-*-hook for everybody)

(autoload 'prcs-merge-start-hook "prcs-ediff" nil t)
(autoload 'prcs-merge-quit-hook "prcs-ediff" nil t)
(autoload 'prcs-merge-startup "prcs-ediff" nil t)

(require 'ediff)
(add-hook 'ediff-mode-hook 'prcs-merge-start-hook)
(add-hook 'ediff-quit-hook 'prcs-merge-quit-hook)

